Redmine - Feature #8192

Make a global category filter available from issues list at All Issues level
2011-04-19 20:59 - Gerry Hawkins

Status: New Start date: 2011-04-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution:

Description

category is not available as a filer criteria when | am search issues from the view all issues page. It is displayed, and present in the
grouping options, just not as a filter.

Related issues:

Related to Redmine - Feature #5576: Have Category searches work for subprojects New 2010-05-23
Related to Redmine - Feature #6793: Report for issues with no category for al... New 2010-11-02
Related to Redmine - Defect #23198: Group by Category does not group across p... New

Related to Redmine - Defect #26023: Category filter only shows categories of ... New

Has duplicate Redmine - Defect #37774: Can't filter the global query by Category Closed

History

#1 - 2011-04-19 23:33 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Wont fix

Because categories are tied to a particular project and there is no cross project categories list.
Thus, this is not a defect.

#2 - 2011-04-20 00:25 - Gerry Hawkins

- Status changed from Closed to Reopened

So yet another cross project limitation. :-( One | don't agree with. Let me try to explain why | think this is a defect. Although as | edit this it is probably
a defect in projects in general and this is just a specific case.

If this is to be closed, | would request to convert this to an open feature request instead.

From my user point of view category is a field that is present everywhere. It just doesn't have to have values that are available in every project, other
than the default of 'none’. Why not just have a list of all the values that which is accessible for the top level?

I think that this limitation of projects is too great and drastically limits the potential of Redmine. | need to have a global view of all issues across all

projects. And | need to the ability to filter on all fields all the time. Certainly limit the options in a field like category when | am in a specific project, but
don't do it when | am looking across all projects.

#3 - 2011-04-20 09:16 - Etienne Massip
- Tracker changed from Defect to Feature

- Status changed from Reopened to New
#4 - 2011-04-20 09:25 - Etienne Massip

- Subject changed from category not available from issue filter list at All Issues level to Make a global category filter available from issues list at All
Issues level

According to Gerry, the new filter should merge the projects lists.

The risk is to eventually get an incoherent list since a category item doesn't have the same meaning depending upon the project it belongs to.

#5 - 2011-04-20 15:17 - Gerry Hawkins
Thanks for the reopen and tracker change Etienne.

An incoherent list is indeed a risk of allowing a field to roll up from all projects and be used at the root level for all issues. But | think that risk is true of
all fields. Indeed it can already happen within a project or at the all issues level with other fields. A user can already make many, or too many, target
versions that are shared, or a global custom field that is a really long list that becomes unwieldy. | myself have created a target version that is "too
long" and causes the formatting to look really bad.

But | think that at the all issues level it is not the tool's job to enforce this. Hopefully the user will have partitioned their values nicely. All | am saying is
that by having an all issues level, effectively a root project from which all other projects inherit, | should be able to search for anything and filter by
anything at that level.

| think the difference here is between having best practices and guidelines, and having the tool force and limit the work flow.

Thanks

#6 - 2011-09-21 06:09 - Stéphane Gourichon

+1
Just hit that problem again. We'll be using a custom field instead, but a custom field does not do auto-assign.

Regards,

#7 - 2014-04-09 09:24 - Najib Mestaoui

+15 here
our company uses redmine, and we need this feature because we have the same categories (repeated) for all projects.

#8 - 2014-04-28 12:42 - Bernd Worsch

+1
We use a category "security” to identify tickets tracking security defects or improvement ideas. This category is project global and may be used for all
trackers. Turns out it is also kind of useless as we are not able to get all "security" Tickets accross projects.

Thinking about categories, i feel they should be global or have a scope. Project scope is a special case. It is useful to allow for tracker, projecttype
(which at the moment is a custom field defined as a list here) or whatever as a scope.

#9 - 2014-05-09 06:25 - Toshi MARUYAMA
- Resolution deleted (Wont fix)

#10 - 2014-12-02 21:41 - Joel Collins

+1... This feature would be a big benefit to us.

#11 - 2015-08-10 12:21 - Christian Baus

+1 we need this too |

#12 - 2016-07-04 07:08 - Toshi MARUYAMA
- Related to Defect #23198: Group by Category does not group across projects added

#13 - 2016-07-04 07:12 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

#14 - 2016-07-04 22:52 - @ go2null

How about changing Issue Categories in the back-end to be a type of Version?
This way, they can be shared like Versions.

This should (would?) address all concerns.

#15 - 2016-07-08 13:07 - Anonymous

+1

#16 - 2016-08-31 18:49 - Alexander Watzinger

+1

#17 - 2017-06-21 07:19 - Toshi MARUYAMA
- Related to Defect #26023: Category filter only shows categories of current project added
www.redmine.org/projects/redmine/wiki/RedmineProjectSettings#Versions

#18 - 2018-11-23 13:37 - Yuuki NARA

+1

| agree with following opinion.
note-1,note-2,note-5,note-8,note-14

| added a category inheritance function to Redmine 3.4.6 and released it to GitHub repository.
Category inheritance function will resolve this issue.

http://www.redmine.org/issues/5358#note-98

| think #5358 is related to this issue.

#19 - 2022-10-27 15:36 - Go MAEDA
- Has duplicate Defect #37774: Can't filter the global query by Category added

2025-05-01 3/3


http://www.redmine.org/issues/5358#note-98
https://www.redmine.org/issues/5358
http://www.tcpdf.org

